Subject: Re: [RFC/PATCH] Implement poor-man's submodule support using commit hooks

From: Martin Waitz <[email-masked]>
Date: Wed, 20 Dec 2006 14:36:48 +0100

hoi :)

On Wed, Dec 20, 2006 at 01:09:01PM +0000, Andy Parkins wrote:
> 
> You've now got poor-man's submodule support.  Any commits to the
> submodule will change the hash and hence the .gitmodules file will be
> different and therefore will show up as "modified" to git.

I started with something similiar, too.
You can have a look at http://git.admingilde.org/tali/git.git/module
which tries to implement submodules without changing the core.

-- 
Martin Waitz